package com.biganto.visual.roompark.presentation.screen.feeds.utils

import android.view.View
import android.widget.TextView
import butterknife.BindView
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.domain.model.WebCamModel
import com.biganto.visual.roompark.presentation.screen.settings.util.CommonRecyclerAdapter
import com.biganto.visual.roompark.presentation.screen.settings.util.CommonViewHolder


/**
 * Created by Vladislav Bogdashkin on 15.10.2019.
 */
class CamsListAdapter : CommonRecyclerAdapter<CamListViewHolder,WebCamModel>() {
    override val vhKlazz = CamListViewHolder::class

    override fun getVhLayout(): Int = R.layout.cam_button_viewholder
}


class CamListViewHolder(itemView: View) : CommonViewHolder<WebCamModel>(itemView) {

    @BindView(R.id.camTitle) lateinit var camTitle:TextView
    @BindView(R.id.camStatus) lateinit var camStatus:View

    override fun onViewBound(model: WebCamModel) {
        camTitle.text = model.title
    }
}
